/****************************************************/
/* File: symtab.h                                   */
/****************************************************/

#ifndef _SYMTAB_H_
#define _SYMTAB_H_

#include <stdio.h>
#include "token.h"

/* inserts token and its line number */
void insert( char * name, int len, int lineno, Token* t );

/* returns 1 if found otherwise 0 */
int lookup ( char * name );

/* returns token if found otherwise 0 */
Token* getToken ( char * name );

/* by default FILE is defined as stdout */
void dump_symtab(FILE * of);

void dump_mem ();

#endif
